cURL
curl --request POST \
--url https://api.axiom.co/v2/tokens/{id}/regenerate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"existingTokenExpiresAt": "2023-11-07T05:31:56Z",
"newTokenExpiresAt": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.axiom.co/v2/tokens/{id}/regenerate"
payload = {
"existingTokenExpiresAt": "2023-11-07T05:31:56Z",
"newTokenExpiresAt": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
existingTokenExpiresAt: '2023-11-07T05:31:56Z',
newTokenExpiresAt: '2023-11-07T05:31:56Z'
})
};
fetch('https://api.axiom.co/v2/tokens/{id}/regenerate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"datasetCapabilities": {},
"id": "<string>",
"name": "<string>",
"orgCapabilities": {
"annotations": [],
"apiTokens": [],
"auditLog": [
"read"
],
"billing": [],
"dashboards": [],
"datasets": [],
"endpoints": [],
"flows": [],
"integrations": [],
"monitors": [],
"notifiers": [],
"rbac": [],
"sharedAccessKeys": [],
"users": [],
"views": []
},
"description": "<string>",
"expiresAt": "2023-11-07T05:31:56Z",
"samlAuthenticated": true,
"viewCapabilities": {},
"token": "<string>"
}Regenerate API token
Regenerate API token
POST
/
tokens
/
{id}
/
regenerate
cURL
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Body
application/json
Response
200 - application/json
CreateAPITokenResponse
Show child attributes
Show child attributes
ID of the token
Name of the token
Show child attributes
Show child attributes
Description of the token
Expiration date of the token (ISO 8601 format)
Show child attributes
Show child attributes
Was this page helpful?
⌘I